Subject: unclear text discussion (was RE: comments on requirements draft 04)

From: Erik Guttman <[email-masked]>
Date: Wed, 9 Aug 2000 09:56:34 +0200 (MET DST)

> > e. Unclear text
> > 
> >    What does this mean?
> > 
> >   section 2.1.2, p 9
> >     This creates two problems. First, hosts may have duplicate IP 
> >     addresses. Second, there may be competing netmask and default 
> >     route values that disrupt communication. 
> > 
> >    I don't understand this text at all.  If two zc networks merge,
> >    both will use the same automatic IP address configuration protocol
> >    and there will be no conflict - both will know how to forward pkts
> >    and share the same network number (the link local prefix).  Also,
> >    if there are two routers - each of which could be used as 
> > a default 
> >    route, provided the hosts could detect the router.
> 
> I'm not sure what part of the text is unclear. The comment appears to
> understand the text. Perhaps the comment is meant to say the text is obvious
> therefore unnecessary. Please provide more input.

I don't understand what competing netmask and default routes mean. 
 
I know of no link-local automatic IP configuration mechanism which 
use different network prefixes on different links.  These protocols
eliminate ambiguity for hosts using the same mechanism, so that it 
is always possible to transmit packets to hosts on the same link.
Therefore - how could there be competing netmasks?

Second - competing default routes simply makes no sense.  As long
as the default route works, its good.  There's no need for this 
configuration to be consistent.

As I suggested in my comments, I don't think subnet masks should be
discussed in the reqts doc anyway.  Default route configuration is
needed by hosts, if it is possible to obtain.  It should therefore
be required that hosts can detect default routes.  

Detecting routers as they become available could be implemented various 
ways (hosts listening for router adverts, hosts using DHCP, etc etc) but 
this is out of scope for the reqts doc - it is material for the profile 
doc to come.

Erik